body{
    margin:0;
    font-family:Arial,sans-serif;
    color:white;
    overflow:hidden;
}

.hero{

    height:100vh;

    background:
    linear-gradient(
        rgba(0,0,0,0.45),
        rgba(0,0,0,0.65)
    ),
    url('images/background.jpg');

    background-size:cover;
    background-position:center;

    display:flex;
    flex-direction:column;
}

/* ШАПКА */

.header{

    display:flex;
    justify-content:space-between;
    align-items:flex-start;

    padding:25px 35px;

    background:rgba(0,0,0,0.38);

    backdrop-filter:blur(8px);

    border-bottom:1px solid rgba(214,40,40,0.4);
}

.logo-area{

    display:flex;
    flex-direction:column;
    align-items:flex-start;
}

.logo-link{

    text-decoration:none;

    color:white;

    font-size:44px;

    font-weight:900;

    letter-spacing:3px;

    font-family:Arial,sans-serif;

    text-shadow:
    0 0 8px rgba(255,255,255,.2),
    0 0 20px rgba(214,40,40,.8),
    0 0 40px rgba(214,40,40,.5);

    transition:.3s;
}

.logo-link:hover{

    color:#ff4b4b;
}

.header-socials{

    display:flex;

    gap:14px;

    margin-top:14px;
}

.header-socials a{

    width:58px;
    height:58px;

    display:flex;

    justify-content:center;
    align-items:center;

    border-radius:16px;

    background:rgba(0,0,0,.55);

    border:1px solid rgba(255,255,255,.08);

    transition:.3s;
}

.header-socials a:hover{

    transform:translateY(-4px);

    background:#d62828;
}

.header-socials img{

    width:30px;
    height:30px;
}

/* МЕНЮ */

.menu{

    display:flex;

    gap:45px;

    margin-top:15px;
}

.menu a{

    color:white;

    text-decoration:none;

    font-size:18px;

    font-weight:600;

    transition:.3s;
}

.menu a:hover{

    color:#ff3b3b;
}

/* ЦЕНТР */

.center{

    flex:1;

    display:flex;

    justify-content:center;
    align-items:center;

    flex-direction:column;

    text-align:center;
}

.title{

    font-size:82px;

    font-weight:800;

    letter-spacing:2px;

    margin:0;

    color:white;

    text-transform:uppercase;

    text-shadow:
        0 8px 20px rgba(0,0,0,.8);
}

.subtitle{

    margin-top:20px;

    margin-bottom:50px;

    font-size:24px;

    color:#e0e0e0;
}

/* КНОПКА */

.battle-btn{

    width:250px;

    height:80px;

    border:none;

    border-radius:18px;

    background:#d62828;

    color:white;

    font-size:24px;

    font-weight:bold;

    cursor:pointer;

    transition:.3s;
}

.battle-btn:hover{

    transform:scale(1.05);

    background:#ff3b3b;
}

/* МОДАЛКА */

.modal{

    display:none;

    position:fixed;

    left:0;
    top:0;

    width:100%;
    height:100%;

    background:rgba(0,0,0,.8);

    justify-content:center;
    align-items:center;

    z-index:999;
}

.modal-content{

    width:700px;

    background:#111;

    border-radius:20px;

    padding:40px;

    position:relative;
}

.close{

    position:absolute;

    right:25px;
    top:15px;

    font-size:40px;

    cursor:pointer;
}

.step{

    margin-top:20px;

    background:#1c1c1c;

    border-radius:15px;

    padding:20px;
}

.steam-btn,
.launcher-btn{

    margin-top:15px;

    padding:15px 30px;

    border:none;

    border-radius:10px;

    background:#d62828;

    color:white;

    font-size:18px;

    cursor:pointer;
}

.steam-btn:hover,
.launcher-btn:hover{

    background:#ff3b3b;
}
.social-panel{

    position:absolute;

    top:110px;

    left:35px;

    display:flex;

    gap:14px;

    z-index:100;
}

.social-panel a{

    width:58px;
    height:58px;

    display:flex;

    align-items:center;
    justify-content:center;

    border-radius:16px;

    background:rgba(0,0,0,.55);

    backdrop-filter:blur(10px);

    border:1px solid rgba(255,255,255,.08);

    transition:.3s;
}

.social-panel a:hover{

    transform:translateY(-4px);

    background:#d62828;
}

.social-panel img{

    width:30px;
    height:30px;
}

.center{

    margin-top:40px;
}

.title-line{

    width:220px;

    height:2px;

    margin:20px auto 30px;

    background:linear-gradient(
        90deg,
        transparent,
        rgba(255,40,40,.95),
        transparent
    );

    box-shadow:
        0 0 8px rgba(255,40,40,.7);
}
.modal-title{

    font-size:32px;

    font-weight:800;

    margin-bottom:30px;

    text-align:center;

    color:white;

    text-transform:uppercase;

    letter-spacing:2px;
}